Resolve or reopen a comment thread
curl --request PATCH \
--url https://app.sajn.se/api/v1/documents/{id}/comments/{threadId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '{}'import requests
url = "https://app.sajn.se/api/v1/documents/{id}/comments/{threadId}"
payload = {}
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
authorization: '<authorization>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://app.sajn.se/api/v1/documents/{id}/comments/{threadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"documentId": "<string>",
"status": "OPEN",
"visibility": "INTERNAL",
"excerpt": "<string>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"resolvedAt": null,
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"resolvedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"messages": [
{
"id": "<string>",
"threadId": "<string>",
"parentId": "<string>",
"authorType": "USER",
"body": "<string>",
"mentions": [
"<string>"
],
"createdAt": "<unknown>",
"editedAt": null,
"deletedAt": null,
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
}
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}Document Comments
Resolve or reopen a comment thread
Toggle a thread between OPEN and RESOLVED.
PATCH
/
api
/
v1
/
documents
/
{id}
/
comments
/
{threadId}
Resolve or reopen a comment thread
You’re viewing API version
2026-09, which is deprecated and stops working on October 1, 2027. To see the current version, select 2026-10 in the menu at the top of the sidebar. To move your integration, see Upgrading to 2026-10.Authorizations
bearerAuthoauth2
Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.
Headers
Bearer token for API authentication
Makes retries safe. A retry with the same key and the same request replays the stored response for 24 hours (header Idempotent-Replayed: true); the same key with a different request returns 400.
Maximum string length:
255Body
application/json
Body
Mark thread as resolved or reopen it
Available options:
OPEN, RESOLVED Response
200
Available options:
OPEN, RESOLVED Available options:
INTERNAL, SHARED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

